aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-01-30 10:43:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-30 12:16:02 +0000
commit36a0cc7802d34f3686dc32980c3eea0f424e5e68 (patch)
treedbb52104c7080423432dd051f293c0a2af1cfbd3
parented590794112e00194fd31d58e62e50090c20f93f (diff)
downloadaports-36a0cc7802d34f3686dc32980c3eea0f424e5e68.tar.gz
aports-36a0cc7802d34f3686dc32980c3eea0f424e5e68.tar.bz2
aports-36a0cc7802d34f3686dc32980c3eea0f424e5e68.tar.xz
extra/libjpeg: new aport
-rw-r--r--extra/libjpeg/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/extra/libjpeg/APKBUILD b/extra/libjpeg/APKBUILD
new file mode 100644
index 0000000000..8a4374b247
--- /dev/null
+++ b/extra/libjpeg/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Carlo Landmeter <clandmeter at gmail>
+# Maintainer: Carlo Landmeter <clandmeter at gmail>
+pkgname=libjpeg
+pkgver=6b
+pkgrel=0
+pkgdesc="Library of JPEG support functions"
+url="http://www.ijg.org/"
+license="custom"
+depends=""
+makedepends=""
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v${pkgver}.tar.gz"
+
+build() {
+ cd "$srcdir/jpeg-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ for i in bin lib include share/man/man1; do
+ mkdir -p "$pkgdir"/usr/"$i"
+ done
+ make prefix="$pkgdir"/usr mandir="$pkgdir"/usr/share/man/man1 install
+}
+
+md5sums="dbd5f3b47ed13132f04c685d608a7547 jpegsrc.v6b.tar.gz"